<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Todo Lists</title>
</head>
<body>
    <main>
        <div>
            <h1>My Lists</h1>
            <p>
                <a href="{% url 'todo_list_create' %}">Create a new list</a>
            </p>
            <p>
                <a href="{% url 'todo_item_create' %}">Create a new item</a>
            </p>
            <table>
                <thread>
                    <tr>
                        <th>Name</th>
                        <th>Number of items</th>
                    </tr>
                </thread>
                <tbody>
                    {% for todo_list in todo_lists %}
                    <tr>
                        <td>
                            <a href="{% url 'todo_list_detail' todo_list.id %}">{{ todo_list.name }}</a>
                        </td>
                        <td>{{ todo_list.items.count }}</td>
                    </tr>
                    {% endfor %}
                </tbody>
            </table>
        </div>
    </main>
</body>
</html>